Skip to main content
WEBHOOK

Authorizations

Authorization
string
header
required

To authenticate server-side requests

Body

application/json

Response schema for a customer retrieval request

customerId
string<uuid>
required

Unique identifier of the customer

Example:

"abc123"

customerStatus
enum<string>
required

Current status of the customer

Available options:
CREATED,
UNDER_REVIEW,
NEEDS_ADDITIONAL_INFORMATION,
ACTIVE,
REJECTED,
DEACTIVATED
Example:

"ACTIVE"

email
string<email>
required

Email of the customer

Example:

"john.doe@example.com"

customerType
enum<string>
required

The type of customer - either individual or business

Available options:
INDIVIDUAL,
BUSINESS
name
string
required

Full name of the customer or business

Example:

"John Doe"

URL for KYC/KYB verification process

Example:

"https://forms.fernhq.com/verify-customer/0423300f-ae6d-4e82-8afb-a3b430e22e29"

updatedAt
string<date-time>
required

Timestamp of the last status update

organizationId
string
required

Organization identifier

Example:

"8469411c-48c1-4e26-a032-44688be9cb4b"

availablePaymentMethods
string[]

Available payment methods for the customer

Example:
verificationIssues
Verification Issue · object[]

Current verification issues blocking customer approval. Only present for customers in NEEDS_ADDITIONAL_INFORMATION, UNDER_REVIEW, or REJECTED status.

Example:

Response

200

Acknowledged